Package jnr.constants.platform

# Enum AddressInfo

java.lang.Object
java.lang.Enum<AddressInfo>
jnr.constants.platform.AddressInfo

All Implemented Interfaces:
  `Serializable`, `Comparable<AddressInfo>`, `java.lang.constant.Constable`, `Constant`

public enum AddressInfo extends Enum<AddressInfo> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`__UNKNOWN_CONSTANT__`
`AI_ADDRCONFIG`
`AI_ALL`
`AI_CANONNAME`
`AI_DEFAULT`
`AI_MASK`
`AI_NUMERICHOST`
`AI_NUMERICSERV`
`AI_PASSIVE`
`AI_V4MAPPED`
`AI_V4MAPPED_CFG`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final String`
`description()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static AddressInfo`
`valueOf(long value)`
Returns the enum constant of this type with the specified name.
`static AddressInfo`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AddressInfo[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### AI_PASSIVE

public static final AddressInfo AI_PASSIVE

### AI_CANONNAME

public static final AddressInfo AI_CANONNAME

### AI_NUMERICHOST

public static final AddressInfo AI_NUMERICHOST

### AI_NUMERICSERV

public static final AddressInfo AI_NUMERICSERV

### AI_MASK

public static final AddressInfo AI_MASK

### AI_ALL

public static final AddressInfo AI_ALL

### AI_V4MAPPED_CFG

public static final AddressInfo AI_V4MAPPED_CFG

### AI_ADDRCONFIG

public static final AddressInfo AI_ADDRCONFIG

### AI_V4MAPPED

public static final AddressInfo AI_V4MAPPED

### AI_DEFAULT

public static final AddressInfo AI_DEFAULT

### __UNKNOWN_CONSTANT__

public static final AddressInfo __UNKNOWN_CONSTANT__

## Method Details

### values

public static AddressInfo[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AddressInfo valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### description

public final String description()

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<AddressInfo>`

### valueOf

public static AddressInfo valueOf(long value)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null